Contents
Index 🔎︎

# Atn Function

Trigonometicna funkcija koja vraca arkustangent od jednog brojcanog izraza. Povratna vrijednost je u opsegu od -Pi/2 do +Pi/2.

Arkustangens je funkcija koja je suprotna tangens funkciji. Atn Funkcija vraca ugao "Alfa", izrazeno u radijanima, koristeci tangens toga ugla. Funkcija takodje moze vratiti ugao "Alfa" uporedjivanjem omjera duzina od strane koja je suprotna uglu prema duzini strane koja je susjedna uglu u pravouglom trouglu.

Atn(strana suprotna uglu/strana susjedna uglu) = Alfa

### Syntax:

            Atn (Broj)

### Return value:

Double

### Parameters:

Number: Brojcani izraz koji predstavlja omjer duzine suprotne strane prema susjednoj strani pravouglog trougla. Atn funkcija vraca odgovarajuci ugao u radijanima (arkustangens).

Da bi pretvorili radijane u stepene, pomnozi radijan sa Pi/180. Da bi pretvorili radijane u stepene, pomnozi radijane sa 180/Pi.

stepen=(radijan*180)/Pi

radijan=(stepen*Pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

## Error codes:

5 Invalid procedure call

### Example:

            REM Slijedeci primjer racuna za pravougli trougao
            REM ugao Alfa od tangensa od ugla Alfa:
            Sub ExampleAtn
            REM zaorkuzen Pi = 3.1415926... je predefinisana konstanta
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Unesite duzinu strane koja je susjedna uglu: ","Susjedna")
                d2 = InputBox("Unesite duzinu strane koja je suprotna uglu: ","Suprotna")
                Ispis "Alfa ugao je"; (atn (d2/d1) * 180 / Pi); " stepeni"
            End Sub